Cross-wiki watchlists
OpenPublic

Assigned To
None
Priority
Normal
Author
bzimport
Blocks
T66475: Make crosswiki bits and pieces truly global (tracking)
Blocked By
T2057: Single login (Unified login) on all wikimedia projects
Subscribers
Meno25, Luke081515, jayvdb and 35 others
Projects
Tokens
"Love" token, awarded by MGChecker."Pterodactyl" token, awarded by Man77."Love" token, awarded by Ricordisamoa."Like" token, awarded by Negative24."Like" token, awarded by Kozuch."Like" token, awarded by Nemo_bis."Love" token, awarded by He7d3r.
Security
None
Reference
bz3525
Description

Author: acrush

Description:
Please consider providing wikimedians with crosswiki watchlists. Such could also
be made public as an option.

See Also:

bzimport set Reference to bz3525.
bzimport created this task.Via LegacySep 21 2005, 8:32 AM
bzimport added a comment.Via ConduitDec 11 2005, 3:33 AM

gangleri wrote:

Hallo!

*benefits*
This would help to save a lot of time.

*disadvantages*
If the number of changes for [[special:Watchlist]] is limited there are
scenarios where the changes from major wiki's would make it impossible to see
the "events" from the local wiki's watchlist.

*implementation*
a) It should be possible to select / deselect

  • the local part
  • the global part

b) For sites with a great number / amount of wiki's each user should have the
possibility to select the "watched wiki's" using checkboxes. Buttons as "select
all" / "deselect all" should be available too.

best regards reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitDec 11 2005, 1:24 PM

gangleri wrote:

Bug 3544: Single Recent changes on several mediawikis
is related to the implementation od a crosswiki "Recentchanges".

If both will be implemented the functionality should provide the same options.

best regards reinhardt [[user:gangleri]]

Raymond added a comment.Via ConduitJan 24 2008, 5:27 PM
  • Bug 12778 has been marked as a duplicate of this bug. ***
Raymond added a comment.Via ConduitApr 3 2008, 3:12 PM
  • Bug 13605 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitApr 3 2008, 3:25 PM

luxo.wp+bugzilla wrote:

until this bug is fixed you can use http://tools.wikimedia.de/~luxo/gwatch/ - one watchlist for all wikimedia-projects.

bzimport added a comment.Via ConduitMay 5 2008, 1:45 AM

Wiki.Melancholie wrote:

In some extent bug 5220#c21 (web feed + Mozilla Thunderbird) could help!

All wikis, but only one email/news account.

@public viewing: Maybe "Google reader" etc. could be a help.

bzimport added a comment.Via ConduitJun 11 2008, 8:02 PM

titoxd.wikimedia wrote:

Re public viewing: See Bug 471 for a related bug, as all the issues that apply there apply to this bug as well.

Ideally, this bug should be split into cross-wiki and public viewing parts of the bug, although the latter would be redundant to Bug 471 as well.

waldyrious added a comment.Via ConduitJun 14 2008, 10:50 AM
  • Bug 14488 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitDec 19 2008, 3:02 AM

Wiki.Melancholie wrote:

*** Bug 16695 has been marked as a duplicate of this bug. ***

siebrand added a comment.Via ConduitFeb 2 2009, 11:42 AM

Changing component to "Watchlist"

demon added a comment.Via ConduitMar 10 2009, 9:41 PM
  • Bug 17914 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitApr 2 2009, 7:48 PM

happy.melon.wiki wrote:

Retargetting: this is clearly a CentralAuth feature-request; and splitting the bug as suggested: comments on the "with option for public viewing" part --> bug471.

waldyrious added a comment.Via ConduitMay 18 2010, 1:08 PM

Now that bug 471 has been fixed, a new tool has been developed to allow this. It could still use some polishing, but I thought it'd be worth mentioning here: http://www.watchlistr.com

bzimport added a comment.Via ConduitMay 25 2010, 2:33 AM

tisane2718 wrote:

I'm thinking that either a new field, identifying the wiki on which the page is located, will need to be added to the watchlist table, or a whole new table will need to be created to store the necessary data. If unified logins are in effect, it does seem to make sense to tie that in with this functionality. So then, what strategy should be used to implement this? Create a branch of CentralAuth, get code review approval, and then merge into the trunk? Or create another extension that relies on this extension without being an integral part of it?

bzimport added a comment.Via ConduitMay 26 2010, 5:19 PM

tisane2718 wrote:

I will attempt to implement this.

Nemo_bis added a comment.Via ConduitApr 28 2012, 8:42 AM

Looks like global watchlist will be a side-effect (!) of the new notification system: https://www.mediawiki.org/wiki/Thread:Talk:Echo_(Notifications)/Bundling_and_expiry

Aklapper added a comment.Via ConduitJan 9 2013, 1:36 PM

Victor:
This report has been in ASSIGNED status for more than one year and you are set as its assignee. In case that you are not actively working on a fix, please reset the bug status to NEW/UNCONFIRMED.
In case you do not plan to work on a fix in the near future: Please also edit the "Assigned To" field by clicking "Reset Assignee to default", in order to not prevent potential contributors from working on a fix. Thanks for your help!
[assigned>=1y]

gpaumier added a comment.Via ConduitMay 6 2013, 1:40 PM

Victor, I'd like to echo Andre's comment above; are you still interested in working on this feature?

There's a renewed interest in a global watchlist now that SUL is being finalized: [[mw:Watchlist wishlist]].

It would be great it you could confirm your interest in working with users to implement this, or let other developers know if you don't currently have the time.

Thanks!

MZMcBride added a comment.Via ConduitMay 19 2013, 12:59 AM

(In reply to comment #19)

It would be great it you could confirm your interest in working with users to
implement this, or let other developers know if you don't currently have the
time.

In my opinion, it's not a question of whether Victor has time to work on this. It's a question of whether anyone has time to review code that Victor puts together for this. As a volunteer contributor, he's had enormous difficulty getting his code reviewed in a timely manner.

leucosticte added a comment.Via ConduitOct 7 2013, 5:45 AM

If there is no objection, I'd like to fix this bug. I'm going to try a different approach than what I did last time with the InterwikiIntegration extension; rather than duplicate all the code that implements the watchlist special page, I'll either (1) make the core code more extensible or (2) implement the interwiki watchlist as core functionality. Does anyone have a preference for one of those two options? Personally, I'm for the latter.

vvv added a comment.Via ConduitOct 7 2013, 4:36 PM

(In reply to comment #19)

Victor, I'd like to echo Andre's comment above; are you still interested in
working on this feature?

I am interested, if there are people interested in reviewing the design of that feature.

I had a ~working prototype of it, which I made, IIRC, during one of the Wikimanias I attended. It is, however, probably lost because it was done in a pre-git era when branching was hard and I have no idea where it is.

The back end part basically requires that you maintain a global recent changes table, since reading RC tables from all individual wikis is not feasible. That is not really hard, as long as you make sure that you mirror all revision deletion correctly.

Surprisingly, the front end is the more problematic part here. When I tried to work on it, the UI code for watchlist showed active resistance to being adopted for the cross-wiki purposes.

leucosticte added a comment.Via ConduitOct 7 2013, 6:40 PM

Victor: Yeah, you'll need to add new parameters and such to quite a lot of functions. However, I think it will be well worth it, because it will save users quite a lot of time checking all the different watchlists in the WMF wiki farm. I too made a working prototype of it that used a global recent changes table, but the interwiki watchlist special page UI duplicated much of the code from includes/specials/SpecialWatchlist.php (the existing single-wiki watchlist). It would be better, of course, to reuse code as much as possible by changing the existing functions to handle both single-wiki and interwiki use cases. Let me know if you get too busy and want to hand this off to me; otherwise, I'll leave it in your able hands.

Legoktm added a comment.Via ConduitDec 21 2013, 9:37 AM

I wrote a small proof of concept script to do this completely client side: https://github.com/legoktm/xwiki-watchlist/blob/master/xwikiwatchlist.js

The basic concept is that you just make API requests to each wiki, pull the watchlist, and merge it with the changes made on other wikis, and nicely display it to the user. This also makes it easy for users to pick which wikis to include/exclude.

That said, I'd love to see a sever side solution to this bug :)

Aklapper added a comment.Via ConduitFeb 28 2014, 2:45 PM

(In reply to Victor Vasiliev from comment #22)

> Victor, I'd like to echo Andre's comment above; are you still interested in
> working on this feature?
>
I am interested, if there are people interested in reviewing the design of
that feature.

I had a ~working prototype of it, which I made, IIRC, during one of the
Wikimanias I attended. It is, however, probably lost because it was done in
a pre-git era when branching was hard and I have no idea where it is.

Victor: So is there any initial code currently to share?

vvv added a comment.Via ConduitApr 26 2014, 9:09 AM

(In reply to Andre Klapper from comment #25)

Victor: So is there any initial code currently to share?

I did a quick search through my local source copy and did not find anything.

Reedy added a comment.Via ConduitMay 31 2014, 9:17 PM
  • Bug 65969 has been marked as a duplicate of this bug. ***
He7d3r awarded a token.Via WebNov 24 2014, 12:03 PM
Stryn added a subscriber: Stryn.Via WebNov 26 2014, 9:08 AM
Nemo_bis awarded a token.Via WebDec 12 2014, 8:02 AM
Kozuch awarded a token.Via WebDec 17 2014, 8:30 PM
Nemo_bis added a project: Epic.Via WebJan 2 2015, 7:01 PM
Nemo_bis set Security to None.
Qgil added a project: Design.Via WebJan 9 2015, 10:42 PM
Qgil added a subscriber: Qgil.

@vvv this is one of the oldest tasks assigned to someone. There is no doubt that users are still interested. Are you still planning to work on it?

I wonder whether this could be a good candidate for an internship project, adding a UX mentor to the mix.

In T5525#79271, @vvv wrote:

Surprisingly, the front end is the more problematic part here. When I tried to work on it, the UI code for watchlist showed active resistance to being adopted for the cross-wiki purposes.

Let me add Design here, just in case it helps.

El_Grafo added a subscriber: El_Grafo.Via WebJan 16 2015, 10:33 AM
Qgil placed this task up for grabs.Via WebFeb 14 2015, 3:23 PM
Qgil added a project: Possible-Tech-Projects.
Sitic added a subscriber: Sitic.Via WebFeb 18 2015, 8:45 PM
NiharikaKohli added a subscriber: NiharikaKohli.Via WebFeb 20 2015, 2:49 PM

This looks like it could be a pretty good GSoC/Outreachy project. Anyone willing to mentor?

Rits added a subscriber: Rits.Via WebMar 3 2015, 11:03 PM
Bawolff added a subscriber: Springle.Via WebMar 4 2015, 12:14 AM

Before suggesting this to students, should we check with dba folks (@Springle) if having a single db that gets a write on any edit to any of our 300-odd projects (as that is the approach suggested above) would be problematic (i know very little about the write load performance considerations for our dbs or if globally the number of edits has big bursts, so probably this scheme is obviously ok and im just being pessemistic. If it was a problem there are probably ways around it [e.g. inserting in batches with a script with plenty of wait for slaves or something] so possibly still a good gsoc project, but i think this is something we should determine up front)

Springle added a comment.Via WebMar 4 2015, 1:02 AM

Providing the updates to the hypothetical[1] global database could be applied as asynchronous batches via jobrunners, the write load would be manageable.

The read load might actually be the more interesting problem. Currently we have watchlist queries segregated from normal traffic so they hit specific slaves in each shard which treats caches nicely and minimizes the blast radius when something goes south. Running a global watchlist might actually improve this arrangement overall; the separation would reduce the freedom to run some of the current complex joins and encourage a more scalable approach.

[1] We already have a few global databases. Eg, centralauth, flowdb, and wikishared on extension1.

Qgil moved this task to Need Discussion on the Possible-Tech-Projects workboard.Via WebMar 4 2015, 9:13 AM
NiharikaKohli added a comment.Via WebMar 10 2015, 12:21 PM

@Springle, would you like to mentor this project?

Springle added a comment.Via WebMar 11 2015, 12:28 PM

@Springle, would you like to mentor this project?

Probably not alone since I'm not a developer. Happy to team up though.

NiharikaKohli added a subscriber: yuvipanda.Via WebMar 11 2015, 5:35 PM

From a brief chat with @Legoktm and @yuvipanda, it appears this project might be a little too big for GSoC. If we could break down the task into smaller chunks, perhaps separating the backend and frontend implementation, it might be more doable.

I've made a prototype for a cross-wiki watchlist as an OAuth tool: tools.wmflabs.org/watchr.
It's currently very limited, as it only queries a list of hand-picked projects and doesn't offer any options. I would like to actually build it as an GSoC project, anyone willing to mentor such a project?

Building it as an OAuth webapp and not as an extension has the advantages of not being confined by the requirements of code review, scalability or modifying existing complex code and database structures. It also allows greater freedom to do things differently and experiment with the UI. While it currently looks similar to the well-known mediawiki watchlist I don't think it will when it's "released". To pick a particular feature I would like to add support for inline diffs as discussed in T53958: Watchlist and recent changes should be able to show diffs inline.

The prototype uses AngularJS for the frontend and python for the backend. I've build it by basically forking a different prototype: T91490: Proposal: A semi-automatic find and replace webapp. See that task for a more implementation details.

Feel free to ping me in IRC, I idle around in the usual channels with the nick sitic.

NiharikaKohli moved this task to Missing Mentors on the Possible-Tech-Projects workboard.Via WebMar 16 2015, 5:13 PM
waldyrious removed a subscriber: waldyrious.Via WebMar 17 2015, 12:24 AM
Nemo_bis added a comment.Via WebMar 17 2015, 6:43 AM

An external tool would not meet the requirements to fix this bug, but may be useful (IIRC we already had such tools in the past): please file it as a separate task.

Qgil edited the task description. (Show Details)Via WebMar 17 2015, 2:03 PM
Negative24 awarded a token.Via WebMar 18 2015, 7:44 PM
Negative24 added a subscriber: Negative24.
Qgil added a comment.Via WebMar 19 2015, 10:06 AM

T92955: An enhanced cross-wiki watchlist as an OAuth tool is looking for mentors and feedback. Your help is appreciated. The deadline for GSoC submissions is 27 March, in 8 days.

Erwin removed a subscriber: Erwin.Via WebMar 19 2015, 10:13 AM
Ricordisamoa awarded a token.Via WebMar 19 2015, 7:33 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Man77 added a subscriber: Man77.Via WebMar 23 2015, 1:12 PM
Legoktm moved this task to Missing Mentors on the Possible-Tech-Projects workboard.
Aschroet added a subscriber: Aschroet.Via WebApr 14 2015, 9:57 PM
Man77 awarded a token.Via WebApr 15 2015, 8:58 AM
tarlocesilion added a subscriber: tarlocesilion.Via WebApr 16 2015, 11:11 PM
MGChecker added a subscriber: MGChecker.Via WebMay 5 2015, 5:25 PM
MGChecker awarded a token.Via WebMay 31 2015, 10:23 AM
Tobi_WMDE_SW added a project: TCB-Team.Via WebJun 1 2015, 2:36 PM
KasiaWMDE moved this task to Backlog on the TCB-Team workboard.Via WebJun 3 2015, 11:12 AM
KasiaWMDE moved this task to Needs discussion or investigation on the TCB-Team workboard.Via WebJun 3 2015, 11:15 AM
jayvdb added a subscriber: jayvdb.Via WebSun, Jun 21, 8:15 AM
Luke081515 added a subscriber: Luke081515.Via WebTue, Jun 23, 9:08 PM

Add Comment